/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "plugin.h"

#include <iostream>
using namespace std;

extern "C" QString getName() {
    return "taglib";
}

extern "C" QString getDesc() {
    return "Get Metadata for audio files using the taglib library.";
}

extern "C" QString getSupportedTypes(){
    return "mp3;ogg;flac";
}

extern "C" QString getAuthor(){
    return "Florian Zubeil";
}

extern "C" 
QString getInfo( QString filename)
{
    QString ret;
    TagLib::FileRef f(filename);
    if( !f.file() )
        return QString::null;
    else {
        if( !f.tag()->title().isNull() ) {
            ret += "<b>Title:</b> ";
            ret += f.tag()->title().toCString();
            ret += "<br>";
        }
        
        if( !f.tag()->artist().isNull() ) {
            ret += "<b>Artist:</b> ";
            ret += f.tag()->artist().toCString();
            ret += "<br>";
        }
        
        if( !f.tag()->album().isNull() ) {
        ret += "<b>Album:</b> ";
        ret += f.tag()->album().toCString();
        ret += "<br>";
        }
        
    }
    return ret;

}
