/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil                                  *
 *   daswrack@oleco.net                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __BROWSEWINDOW_H__
#define __BROWSEWINDOW_H__

#include "BrowseWindowBase.h"

#include <iostream>
#include <qstring.h>
#include <qfile.h>
#include <qdir.h>
#include <qstringlist.h>
#include <qintdict.h>
#include <qfiledialog.h>
#include <qapplication.h>
#include <qlistview.h>
#include <qaction.h>
#include <qiconset.h>
#include <qregexp.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qvaluelist.h>
#include <qsplitter.h>
#include <qdockwindow.h>
#include <qdockarea.h>
#include <qtextedit.h>
#include <qsettings.h>

#include "MyTable.h"
#include "AboutDialogBase.h"
#include "FileItem.h"
#include "DirItem.h"
#include "FileReadThread.h"
#include "StatusDialog.h"
#include "XmlIo.h"
#include "InputDialog.h"
#include "SearchResults.h"
#include "settings.h"
#include "ConfigDialog.h"


class BrowseWindow : public BrowseWindowBase
{
    Q_OBJECT
public:
    BrowseWindow( QSettings& settings_, QWidget* parent = 0, const char* name = 0 );
    ~BrowseWindow();

public slots:
    void dirClicked( QListViewItem * );
    void fileClicked( QListViewItem *);
    void scan();
    void startSearch();
    void fileNew();
    void fileOpen();
    void fileSave();
    void fileSaveAs();
    void fileSettings();
    void fileExit();
    void helpAbout();

private:
    void applySettings();
    void saveSettings();
    QApplication*   a;
    QSettings&      settings;
    XmlIo*          Io;
    //MyTable* resultTable;
    QDockWindow*    previewDockWindow;
    QTextEdit*      previewTextEdit;

    QAction*        toolNewAction;
    QAction*        toolOpenAction;
    QAction*        toolSaveAction;
    QAction*        toolSaveAsAction;
    QAction*        toolScanAction;
};

#endif
