/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include "ConfigDialogBase.h"
#include <qsettings.h>
#include <qfiledialog.h>
#include <qstring.h>
#include <qtable.h>
#include <qlineedit.h>
#include <qlibrary.h>
#include <qdir.h>
#include <qstringlist.h>

#include "plugin.h"
#include "PluginCheckItem.h"
#include "settings.h"

/**
@author Florian Zubeil
*/
class ConfigDialog : public ConfigDialogBase
{
    Q_OBJECT
public:
    ConfigDialog( QSettings& settings_, QWidget* parent = 0);
    ~ConfigDialog();
    
public slots:
    void accept();
    void reject();
    void browsePlugins();
    void rescanPlugins();
    
private:
    void loadSettings();
    void saveSettings();
    QSettings& settings;
        
        

};

#endif
