/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __DIRVIEWITEM_H__
#define __DIRVIEWITEM_H__

#include "settings.h"
#include <qlistview.h>


class DirViewItem : public QListViewItem
{
public:
    DirViewItem( QListView * parent, 
		 QObject* dir_, 
		 QString label1, 
		 QString label2 = QString::null, 
		 QString label3 = QString::null, 
		 QString label4 = QString::null, 
		 QString label5 = QString::null, 
		 QString label6 = QString::null, 
		 QString label7 = QString::null,
		 QString label8 = QString::null )
                : QListViewItem(parent, label1, label2, label3, label4, label5, label6, label7, label8), dir(dir_) {};
    
    DirViewItem( QListViewItem * parent, 
		 QObject* dir_, 
		 QString label1, 
		 QString label2 = QString::null, 
		 QString label3 = QString::null, 
		 QString label4 = QString::null, 
		 QString label5 = QString::null, 
		 QString label6 = QString::null, 
		 QString label7 = QString::null, 
		 QString label8 = QString::null )
                : QListViewItem(parent, label1, label2, label3, label4, label5, label6, label7, label8), dir(dir_) {};
    
    inline ~DirViewItem() { delete dir; };
    
    inline QObject* getDir() { return dir;};
    inline virtual int rtti() const {return RTTI_DIRVIEWITEM;};
private:
    QObject* dir;
};

#endif // __DIRVIEWITEM_H__
