/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "FileItem.h"

#include <string>

FileItem::FileItem(strMap &pluginMap, QString fileName_, QString dirPath, unsigned int size_) : 
                size(size_),
                fileName(fileName_)

{
    //It would be faster to load the plugins befor calling this function multiple times...
    QString extension = fileName.section( '.', -1 ).lower();
    if( pluginMap.contains( extension ) ) {
        QLibrary lib(pluginMap[extension]);
        getFileInfoProc fileInfoP = (getFileInfoProc) lib.resolve("getInfo");
        if(fileInfoP) {
            fileInfo = fileInfoP( (dirPath + fileName) );
            /*fileInfoMap::Iterator it;
            for ( it = infoMap.begin(); it != infoMap.end(); ++it ) 
            cout << it.key() << ": " << it.data() << endl;*/
        } else
            ACE_ERROR((LM_ERROR,
                       ACE_TEXT("%N:%l: Error loading shared library '%C'!\n"),
                       lib.library().latin1() ));
    }
}

