/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __FILEITEM_H__
#define __FILEITEM_H__

#include "settings.h"
#include "plugin.h"
#include <qobject.h>
#include <qstring.h>
#include <qmap.h>
#include <qlibrary.h>
#include <iostream>

#include <qdir.h>

//#include <Magick++.h>
//using namespace Magick;

using namespace std;

class FileItem : public QObject
{
    Q_OBJECT
public:
    typedef QMap<QString,QString> strMap;
    ///Constructor used for scanning files
    FileItem( strMap& pluginMap, QString fileName_, QString dirPath, unsigned int size_ );
    ///Constructor used for loading files from file
    FileItem( QString fileName_, unsigned int size_, QString fileInfo_ ) : 
            size(size_), 
            fileName(fileName_),
            fileInfo(fileInfo_) {};

    ~FileItem() { };
    inline QString getName() { return fileName; };
    inline unsigned int getSize() { return size; }
    inline QString getInfo() { 
        if( fileInfo.length() == 0 ) 
            return tr("No info available."); 
        return fileInfo;
    };

private:
    
    unsigned int size;
    QString fileName;
    QString fileInfo;

};

#endif // __FILEITEM_H__
