/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "InputDialog.h"

InputDialog::InputDialog( QString* input_, 
                 QString caption_, 
                 QString text_, 
                 QString iconName_, 
                 bool pass_, 
                 QWidget* parent,
                 WFlags fl ) : 
            InputDialogBase( parent, 0, true, fl ),
            //icon( 0 ),
            input( input_ ),
            caption( caption_ ),
            //text( text_ ),
            //iconName( iconName_ ),
            pass( pass_ )

{
    if(!input)
        ACE_ERROR((LM_ERROR,ACE_TEXT("%N:%l: Error: input is 0!\n")));

    if(caption=="")
        ACE_ERROR((LM_ERROR,ACE_TEXT("%N:%l: Error: caption is empty!\n")));
    else
        this->setCaption(caption);

    if(iconName_=="")
        ACE_ERROR((LM_ERROR,ACE_TEXT("%N:%l: Error: iconName_ is empty!\n")));
    else
        pixmapLabel->setPixmap( QPixmap( QPixmap::fromMimeSource(iconName_) ) );

    if(text_=="")
        ACE_ERROR((LM_ERROR,ACE_TEXT("%N:%l: Error: text_ is empty!\n")));
    else
        text->setText(text_);

}

void InputDialog::okayClicked()
{
    if( passEdit->text().length() < 6 )
        QMessageBox::critical(this, "Password too short", "The password must be at least 6 characters long!\n",
                              QMessageBox::Ok, QMessageBox::NoButton);

    else {
        input->setLatin1(passEdit->text().latin1());
        this->close();
    }
}

void InputDialog::cancelClicked()
{
    this->close();
}

             
