/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "MyTable.h"

MyTable::MyTable( QWidget * parent, const char * name ) : QTable(parent,name), res(0), lastCol(-1)
{
    setNumCols( 3 );
    setNumRows( 1 );
    setText(0,0, tr("No search has been specified.") );
    adjustColumn(0);
    
    horizontalHeader()->setLabel( 0, tr("Filename") );
    horizontalHeader()->setLabel( 1, tr("Disc") );
    horizontalHeader()->setLabel( 2, tr("Size") );
    connect( horizontalHeader(), SIGNAL( clicked ( int ) ), this, SLOT( sort( int ) ) );
}


MyTable::~MyTable()
{
}

void MyTable::sort( int col )
{
    if( col == 2 ) {
        if( res ) {
            res->sortBy( SearchResultList::Size );
            lastCol = col;
            res->fillTable(this);
        }
    }
    else {
        if( lastCol == col ) {
            sortColumn( col , FALSE, TRUE );
            lastCol = -1;
        }
        else {
            sortColumn( col , TRUE, TRUE );
            lastCol = col;
        }
    }
}
