/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PLUGINCHECKITEM_H
#define PLUGINCHECKITEM_H

#include <qtable.h>
#include "settings.h"

/**
@author Florian Zubeil
*/
class PluginCheckItem : public QCheckTableItem
{
public:
    PluginCheckItem(QTable* table, QString filename_) : 
        QCheckTableItem( table, "" ), filename(filename_) {};

    ~PluginCheckItem() {};

    virtual int rtti() const { return RTTI_PLUGINCHECKITEM; }
    inline QString getFilename() const { return filename; }

private:
    QString filename;
};

#endif
