/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "SearchResults.h"

int SearchResultList::compareItems(QPtrCollection::Item item1, QPtrCollection::Item item2) {
            SearchResultItem* i1 = (SearchResultItem*)item1;
            SearchResultItem* i2 = (SearchResultItem*)item2;
            
            switch(by) {
                case None:
                    break;
                case Name:
                    if(i2->getName() == i2->getName()) 
                        return 0;
                    
                    if( last == Name ) {
                        if(i2->getName() > i2->getName())
                            return -1;
                        else
                            return 1;
                    } else {
                        if( i1->getName() > i2->getName() )
                            return 1;
                        else
                            return -1;
                    }
                    break;
                case Disc:
                    if(i2->getDisc() == i2->getDisc()) 
                        return 0;
                    if( last == Disc ) {
                        if(i2->getDisc() > i2->getDisc())
                            return -1;
                        else
                            return 1;
                    } else {
                        if( i1->getDisc() > i2->getDisc() )
                            return 1;
                        else
                            return -1;
                    }
                    break;
                case Size:

                    if( last == Size ) {
                        return i2->getSize() - i1->getSize();
                    }
                    else {
                        return i1->getSize() - i2->getSize();
                    }
                    break;
            }
            return 0;
};
