/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SIZETABLEITEM_H
#define SIZETABLEITEM_H

#include <qtable.h>

/**
@author Florian Zubeil
*/
class SizeTableItem : public QTableItem
{
    public:
    SizeTableItem( QTable * table, unsigned int size_, EditType et ) : 
        QTableItem(table, et),
    size(size_) 
        
    {
        if( size > 1073741824 )
            setText(QString().setNum( size/1073741824 ).append("GB"));
        if( size > 1048576 )
            setText(QString().setNum( size/1048576 ).append("MB"));
        else if( size > 1024 )
            setText(QString().setNum( size/1024 ).append("KB"));
        else 
            setText(QString().setNum( size ).append("B"));
    };

    ~SizeTableItem() {};
    inline unsigned int getSize() { return size; };
    inline QString key() const { return QString().setNum( size); }

    bool operator>( SizeTableItem& i) { return (getSize()>(i.getSize())); };
    bool operator<( SizeTableItem& i) { return (getSize()<(i.getSize())); };
    private:
        uint size;

};
#endif
