/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __STATUSDIALOG_H__
#define __STATUSDIALOG_H__

#include <qstring.h>
#include <qlabel.h>
#include <qprogressbar.h>
#include <qmessagebox.h>
#include <qlineedit.h>
#include <qfiledialog.h>
#include <qpushbutton.h>
#include <qsettings.h>
#include "StatusDialogBase.h"
#include "FileItem.h"
#include "DirItem.h"
#include "FileReadThread.h"



class StatusDialog : public StatusDialogBase
{
    Q_OBJECT
public:
    StatusDialog( QSettings& settings_, QListView& dirView_, QListView& fileView_, QWidget* parent_, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~StatusDialog();
    inline void setTotalFiles( int total ) { progressBar->setTotalSteps( total ); };
    inline void setProgress( int p ) { progressBar->setProgress( p ); };
    void closeDialog() { this->done(0); };
    inline bool wasSuccessful() { return success; };
    void setEnabled( bool enabled );
    inline void setSuccessful( bool success_ ) { success = success_; };

public slots:
    void scan();
    void mPointBrowse();

private:
    QSettings& settings;
    QListView& dirView;
    QListView& fileView;
    QWidget& parent;
    bool abort;
    QThread *vReadThread;
    int fileCount;
    bool success;
    

private slots:
    void cancel();

protected:
    bool eventFilter(QObject *o, QEvent *e );


};

#endif // __STATUSDIALOG_H__
